VeraCrypt
aboutsummaryrefslogtreecommitdiff
path: root/src/Build
diff options
context:
space:
mode:
authorMounir IDRASSI <mounir.idrassi@idrix.fr>2018-09-01 01:13:29 +0200
committerMounir IDRASSI <mounir.idrassi@idrix.fr>2018-09-01 01:15:33 +0200
commit5455c89a5016ef73c1b91aaf0a93ea30509026c0 (patch)
treef6d74054503fc7a99dbc2533ddcf4371087374c3 /src/Build
parent09afb91c897e8617b632a6c8cbaab0a98e21549b (diff)
downloadVeraCrypt-5455c89a5016ef73c1b91aaf0a93ea30509026c0.tar.gz
VeraCrypt-5455c89a5016ef73c1b91aaf0a93ea30509026c0.zip
Linux/FreeBSD: Add 32-bit build configuration targetting legacy CPUs that don't support SSE2 instructions.
Diffstat (limited to 'src/Build')
-rwxr-xr-xsrc/Build/build_veracrypt_linux_no_sse2.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/src/Build/build_veracrypt_linux_no_sse2.sh b/src/Build/build_veracrypt_linux_no_sse2.sh
new file mode 100755
index 00000000..2f78418f
--- /dev/null
+++ b/src/Build/build_veracrypt_linux_no_sse2.sh
@@ -0,0 +1,47 @@
+#
+# Copyright (c) 2013-2017 IDRIX
+# Governed by the Apache License 2.0 the full text of which is contained
+# in the file License.txt included in VeraCrypt binary and source
+# code distribution packages.
+#
+
+# Absolute path to this script
+SCRIPT=$(readlink -f "$0")
+# Absolute path this script is in
+SCRIPTPATH=$(dirname "$SCRIPT")
+# source directory which contains the Makefile
+SOURCEPATH=$(readlink -f "$SCRIPTPATH/..")
+# directory where the VeraCrypt has been checked out
+PARENTDIR=$(readlink -f "$SCRIPTPATH/../../..")
+
+# Make sure only root can run our script
+if [ "$(id -u)" != "0" ]; then
+ echo "VeraCrypt must be built by root" 1>&2
+ exit 1
+fi
+
+# the sources of wxWidgets 3.0.3 must be extracted to the parent directory
+export WX_ROOT=$PARENTDIR/wxWidgets-3.0.4
+echo "Using wxWidgets sources in $WX_ROOT"
+
+cd $SOURCEPATH
+
+echo "Building GUI version of VeraCrypt"
+
+# this will be the temporary wxWidgets directory
+export WX_BUILD_DIR=$PARENTDIR/wxBuildGuiNoSSE2
+
+make WXSTATIC=1 NOSSE2=1 wxbuild && make WXSTATIC=1 NOSSE2=1 clean && make WXSTATIC=1 NOSSE2=1 && make WXSTATIC=1 NOSSE2=1 package
+
+# Uncomment below and comment line above to reuse existing wxWidgets build
+# make WXSTATIC=1 NOSSE2=1 clean && make WXSTATIC=1 NOSSE2=1 && make WXSTATIC=1 NOSSE2=1 package
+
+echo "Building console version of VeraCrypt"
+
+# this will be the temporary wxWidgets directory
+export WX_BUILD_DIR=$PARENTDIR/wxBuildConsoleNoSSE2
+
+make WXSTATIC=1 NOGUI=1 NOSSE2=1 wxbuild && make WXSTATIC=1 NOGUI=1 NOSSE2=1 clean && make WXSTATIC=1 NOGUI=1 NOSSE2=1 && make WXSTATIC=1 NOGUI=1 NOSSE2=1 package
+
+# Uncomment below and comment line above to reuse existing wxWidgets build
+# make WXSTATIC=1 NOGUI=1 NOSSE2=1 clean && make WXSTATIC=1 NOGUI=1 NOSSE2=1 && make WXSTATIC=1 NOGUI=1 NOSSE2=1 package